#
# spec file for package rubygem-terminal-table
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-terminal-table
Version:        3.0.2
Release:        1.8
%define mod_name terminal-table
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/tj/terminal-table
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Simple, feature rich ascii table generation library
License:        MIT
Group:          Development/Languages/Ruby

%description
Simple, feature rich ascii table generation library.

%prep

%build

%install
%gem_install \
  --doc-files="History.rdoc LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.0.2
  see installed History.rdoc
  3.0.2 / 2021-09-19
  ==================
  - fix align_column for nil values and colspan
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.0.1
  see installed History.rdoc
  3.0.1 / 2021-05-10
  ==================
  - Support for unicode-display_width 2.0
  - Fix issue where last row of an empty table changed format
  3.0.0 / 2020-01-27
  ==================
  - Support for (optional) Unicode border styles on tables.  In order to support decent looking Unicode borders, different types of intersections get different types of intersection characters.  This has the side effect of subtle formatting differences even for the ASCII table border case due to removal of certain intersections near colspans.
  For example, previously the output of a table may be:
    +------+-----+
    |   Title    |
    +------+-----+
    | Char | Num |
    +------+-----+
    | a    | 1   |
    | b    | 2   |
    | c    | 3   |
    +------+-----+
  And now the `+` character above the word Title is removed, as it is no longer considered an intersection:
    +------------+
    |   Title    |
    +------+-----+
    | Char | Num |
    +------+-----+
    | a    | 1   |
    | b    | 2   |
    +------+-----+
  - The default border remains an ASCII border for backwards compatibility, however multiple border classes are included / documented, and user defined border types can be applied as needed.
  In support of this update, the following issues were addressed:
  - colspan creates conflict with colorize (#95)
  - Use nice UTF box-drawing characters by default (#99)
  - Note that `AsciiBorder` is stll the default
  - Border-left and border-right style (#100)
  - Helper function to style as Markdown (#111)
  - Achieved using `MarkdownBorder`
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.0
  see installed History.rdoc
  2.0.0 / 2020-10-28
  ==================
  - Drops official support for Ruby 1.9.x with and of life on 2015-02-23
  - Drops official support for Ruby 2.0.x with and of life on 2016-02-24
  - Drops official support for Ruby 2.1.x with and of life on 2017-03-31
  - Drops official support for Ruby 2.2.x with and of life on 2018-03-31
  - Drops official support for Ruby 2.3.x with and of life on 2019-03-31
* Tue May 23 2017 coolo@suse.com
- updated to version 1.8.0
  see installed History.rdoc
  1.8.0 / 2017-05-16
  ==================
  * Top and bottom borders can be disabled (@kubakrzempek, #83)
  * `unicode-display-width` dependency relaxes (@mvz, #88)
  * Readme and docs fixes (@loualrid, #82 and @leoarnold, #86)
  * Fixed some test-related warnings (@juanitofatas, #81 and @mvz, #89)
* Thu Sep 22 2016 coolo@suse.com
- updated to version 1.7.3
  see installed History.rdoc
  1.7.3 / 2016-09-21
  ==================
  * Fixed compatibility issues for Ruby 1.9, 2.0, 2.1. (@vivekbisen, #80)
* Sat Sep 10 2016 coolo@suse.com
- updated to version 1.7.2
  see installed History.rdoc
  1.7.2 / 2016-09-09
  ==================
  * Fix packing table to a minimal width (@vizv, #76)
* Thu Sep  8 2016 coolo@suse.com
- updated to version 1.7.1
  see installed History.rdoc
  1.7.1 / 2016-08-29
  ==================
  * Update `unicode-display_width` to fix behavior with signal traps [#78, @jrmhaig]
* Wed Aug 31 2016 coolo@suse.com
- updated to version 1.7.0
  see installed History.rdoc
  1.7.0 / 2016-08-29
  ==================
  All props to @vizv for this release!
  * Fixed some spec failures
  * Added support for full-width characters (East Asian alphabets, etc)
* Tue Jun  7 2016 coolo@suse.com
- updated to version 1.6.0
  see installed History.rdoc
* Wed Jul  1 2015 coolo@suse.com
- updated to version 1.5.2
  see installed History.rdoc
* Mon Jun 29 2015 coolo@suse.com
- updated to version 1.5.1
  see installed History.rdoc
* Sat Jun 27 2015 coolo@suse.com
- updated to version 1.5.0
  see installed History.rdoc
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sat Apr 28 2012 coolo@suse.com
- update to 1.4.5
  * Add color support.
  * Various bugfixes
* Thu Feb 16 2012 jmassaguerpla@suse.com
- update gem file
* Thu Jan 12 2012 fcastelli@suse.com
- update to version 1.4.4
* Fri Sep  3 2010 fcastelli@novell.com
- update to version 1.4.3
  * fix some issues affecting borderless tables
  * temporarily packaged code from this fork: http://github.com/flavio/terminal-table
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.4.2
  * Fixed some bugs with colspan
- additional changes from version 1.4.1
  * Fix column alignment with separators.
- additional changes from version 1.4.0
  * Can now add :seperator arbitrarily in a table [thanks splattael]
  * Fix common typo: seperator -> separator [thanks splattael]
- additional changes from version 1.3.0
  * Major refactoring (functionality remains the same)
- additional changes from version 1.2.0
  * Added colspan support to table
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Aug  6 2009 fcastelli@novell.com
- packaged version 1.1.0
